@ECHO OFF
REM *****************************************************************
REM
REM CWRSYNC.CMD - Batch file to start your rsync command (s).
REM
REM By Tevfik K. (http://itefix.no/itefix-en)
REM
REM *****************************************************************

REM ** CUSTOMIZE ** Specify where to find rsync and related files (C:\CWRSYNC)

SET CWRSYNCHOME=C:\CWRSYNC

REM Set CYGWIN variable to 'nontsec'. That makes sure that permissions
REM on your windows machine are not updated as a side effect of cygwin
REM operations.

SET CYGWIN=nontsec

REM Set HOME variable to your windows home directory. That makes
REM sure that ssh command creates known_hosts in a directory you have
REM access.

SET HOME=%HOMEDRIVE%%HOMEPATH%

REM Make cwRsync home as a part of system PATH to find required DLLs

SET CWOLDPATH=%PATH%
SET PATH=%CWRSYNCHOME%;%PATH%

REM Windows paths may contain a colon (:) as a part of drive designation and 
REM backslashes (example c:\, g:\). However, in rsync syntax, a colon in a 
REM path means searching for a remote host. Solution: use absolute path 'a la unix', 
REM replace backslashes (\) with slashes (/) and put -/cygdrive/- in front of the 
REM drive letter:
REM 
REM Example : C:\WORK\* --> /cygdrive/c/work/*


REM 
REM Example 1 - rsync recursively to a unix server with an openssh server :
REM
REM       rsync -r /cygdrive/c/work/ remotehost:/home/user/work/
REM
REM Example 2 - Local rsync recursively 
REM
REM       rsync -r /cygdrive/c/work/ /cygdrive/d/work/doc/
REM
REM Example 3 - rsync to an rsync server recursively :
REM    (Double colons?? YES!!)
REM
REM       rsync -r /cygdrive/c/doc/ remotehost::module/doc
REM
REM Rsync is a very powerful tool. Please look at documentation for other options. 
REM

REM ** CUSTOMIZE ** Enter your rsync command(s) here


REM Reset environment variables
set HOME=
set CWRSYNCHOME=
set CYGWIN=
set PATH=%CWOLDPATH%
